type Key = string | number | symbol;
export declare function useMap<K extends Key, V>(arr?: [K, V][]): {
    get: (key: K) => V | undefined;
    set: (key: K, value: V) => void;
    delete: (key: K) => void;
    clear: () => void;
    forEach: (callback: (value: V, key: K, map: Map<K, V>) => void) => void;
    map: (callback: (value: [K, V], index: number, arr: [K, V][]) => void) => void[];
    has: (key: K) => boolean;
    entries: () => IterableIterator<[K, V]>;
    values: () => IterableIterator<V>;
    keys: () => IterableIterator<K>;
    size: number;
};
export {};
