export declare function useQueue<T>(arr?: T[]): {
    enqueue: (...values: T[]) => T[];
    dequeue: () => NonNullable<T> | null;
    clear: () => void;
    forEach: (callback: (value: T, index: number, arr: T[]) => void) => void;
    map: (callback: (value: T, index: number, arr: T[]) => void) => void[];
    includes: (value: T) => boolean;
    peek: () => NonNullable<T> | null;
    entries: () => IterableIterator<[number, T]>;
    values: () => IterableIterator<T>;
    keys: () => IterableIterator<number>;
    size: number;
};
